#!/usr/bin/python
import re, subprocess

# Might be worthwhile to hold dmesg, along with a hash of it, while running.
# Can check against dmesg hash, if dmesg has been added to, take the new lines from dmesg and store them (rehashing first).
# This gives lots of valuable system information.

#proc = subprocess.Popen(['lsusb', '-vv'], stdout=subprocess.PIPE)

def SecModuleOutput():

    # Check mounted devices
    proc = subprocess.Popen(['mount'], stdout=subprocess.PIPE)
    out, err = proc.communicate()

    # check for mounted USB devices, Ubuntu-specific
    calculator = 'usbCalc'
    if len([device for device in out.split('\n') if re.search(r'/dev/sd[^a]', device) is not None]) > 0:
        return [calculator, 0]
    else:
        return [calculator, 1]

#for device in out.split('\n'):
#    if re.search(r'/dev/sd[^a]', device) is not None:
#        print device


# For testing
if __name__ == '__main__':
    print SecModuleOutput()[1]

