#!/usr/bin/python
import re, subprocess

def SecModuleOutput():

    # Check mounted devices
    proc = subprocess.Popen(['netstat', '-antp'], stdout=subprocess.PIPE)
    out, err = proc.communicate()

    calculator = 'socketCalc'

    for line in out.strip().split('\n')[2:]:
        if line.startswith('tcp6') is False:
            ip, port = line.split()[3].split(':')
            status = line.split()[5]
            if int(port) > 1024 and status in ('LISTEN', 'ESTABLISHED'):
                return [calculator, 0]

    # No unprivileged ports open
    return [calculator, 1]


# For testing
if __name__ == '__main__':
    print SecModuleOutput()[1]
