#include <stdio.h> 
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#define EXT3_IOC_CHANGE_LEVEL		_IOR('f', 20, unsigned long)
#define WAIT_TIME_IN_HUND_MS 4
#define US_TO_MS 1000

int main(int argc, char* argv[]) {
	int ret;
	unsigned int usecs = (WAIT_TIME_IN_HUND_MS * 100 * US_TO_MS);
	int fd = open(argv[2], O_RDONLY);
	
	ret = ioctl(fd, EXT3_IOC_CHANGE_LEVEL, (unsigned int)atoi(argv[1]));
	
	close(fd);
	return ret;
}
