#include <stdio.h> 
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>

#define WAIT_TIME_IN_HUND_MS 4
#define US_TO_MS 1000
#define EXT3_IOC_CHANGE_LEVEL		_IOR('f', 20, unsigned long)
#define EXT3_IOC_MNT_POINT			_IOR('f', 21, unsigned long)

int main() {
	unsigned int usecs = (WAIT_TIME_IN_HUND_MS * 100 * US_TO_MS);
	unsigned int flip = 0;
	unsigned long mount_array[2];
	unsigned char *mount_point = "/mnt";
	int fd = open(mount_point, O_RDONLY);
	
	mount_array[0] = (unsigned long)sizeof(mount_point);\
	mount_array[1] = (unsigned long)mount_point;
	
	ioctl(fd, EXT3_IOC_MNT_POINT, (unsigned long)mount_array);
	ioctl(fd, EXT3_IOC_CHANGE_LEVEL, flip);
	for (;;) {
		system("clear");
		system("dmesg | tail -n 10");
		usleep(usecs);
	}
	return 0;
}
